Merge changes from emacs-23 branch
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
fa23e171 29 # Code from module alloca-opt:
7ec98caf 30 # Code from module allocator:
1fd182f0
PE
31 # Code from module arg-nonnull:
32 # Code from module c++defs:
d1fdcab7 33 # Code from module careadlinkat:
942f733f 34 # Code from module crypto/md5:
13c3daa4 35 # Code from module crypto/sha1:
3ce9d0d4
LL
36 # Code from module crypto/sha256:
37 # Code from module crypto/sha512:
36f13e16 38 # Code from module dosname:
f737437b 39 # Code from module dtoastr:
7a7ef429 40 # Code from module dup2:
1fd182f0
PE
41 # Code from module extensions:
42 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 43 # Code from module filemode:
79ab4b7f 44 # Code from module getloadavg:
e275c824
PE
45 # Code from module getopt-gnu:
46 # Code from module getopt-posix:
47 # Code from module gettext-h:
67342916 48 # Code from module ignore-value:
1fd182f0 49 # Code from module include_next:
a451f14b 50 # Code from module intprops:
b6f5355a 51 # Code from module inttypes-incomplete:
ae0d7250 52 # Code from module lstat:
1fd182f0
PE
53 # Code from module mktime:
54 # Code from module multiarch:
6db30f83 55 # Code from module pthread_sigmask:
ae0d7250 56 # Code from module readlink:
6db30f83 57 # Code from module signal:
2a84b02d 58 # Code from module sigprocmask:
401bf9b4 59 # Code from module socklen:
d1fdcab7 60 # Code from module ssize_t:
ae0d7250 61 # Code from module stat:
c378da0b
PE
62 # Code from module stdarg:
63 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
64 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
65 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
66 dnl shouldn't hurt, though installers are on their own to set c99 mode.
67 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 68 # Code from module stdbool:
1fd182f0 69 # Code from module stddef:
5f90be1b 70 # Code from module stdint:
77185bdf 71 # Code from module stdio:
79ab4b7f 72 # Code from module stdlib:
16c3e636 73 # Code from module strftime:
f6ce9b9a
PE
74 # Code from module strtoimax:
75 # Code from module strtoll:
b6f5355a 76 # Code from module strtoull:
a8a2bb29 77 # Code from module strtoumax:
ae0d7250 78 # Code from module symlink:
5fa4ac76 79 # Code from module sys_stat:
1fd182f0
PE
80 # Code from module time:
81 # Code from module time_r:
3ce9d0d4 82 # Code from module u64:
e275c824 83 # Code from module unistd:
a8a2bb29 84 # Code from module verify:
1fd182f0 85 # Code from module warn-on-use:
743c80a7
PE
86])
87
88# This macro should be invoked from ./configure.in, in the section
89# "Check for header files, types and library functions".
90AC_DEFUN([gl_INIT],
91[
92 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
93 gl_cond_libtool=false
94 gl_libdeps=
95 gl_ltlibdeps=
96 gl_m4_base='m4'
97 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
98 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
99 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
100 m4_pushdef([gl_LIBSOURCES_LIST], [])
101 m4_pushdef([gl_LIBSOURCES_DIR], [])
102 gl_COMMON
103 gl_source_base='lib'
fa23e171 104gl_FUNC_ALLOCA
19548d08
PE
105AC_CHECK_FUNCS_ONCE([readlinkat])
106gl_MD5
13c3daa4 107gl_SHA1
3ce9d0d4
LL
108gl_SHA256
109gl_SHA512
19548d08 110AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429
PE
111gl_FUNC_DUP2
112gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 113gl_FILEMODE
6a3e57bb 114gl_GETLOADAVG
8aeb5be9
PE
115if test $HAVE_GETLOADAVG = 0; then
116 AC_LIBOBJ([getloadavg])
117 gl_PREREQ_GETLOADAVG
118fi
19548d08
PE
119gl_STDLIB_MODULE_INDICATOR([getloadavg])
120gl_FUNC_GETOPT_GNU
8aeb5be9
PE
121if test $REPLACE_GETOPT = 1; then
122 AC_LIBOBJ([getopt])
123 AC_LIBOBJ([getopt1])
124 gl_PREREQ_GETOPT
125fi
19548d08
PE
126gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
127gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
128if test $REPLACE_GETOPT = 1; then
129 AC_LIBOBJ([getopt])
130 AC_LIBOBJ([getopt1])
131 gl_PREREQ_GETOPT
132fi
19548d08
PE
133AC_REQUIRE([AC_C_INLINE])
134gl_INTTYPES_INCOMPLETE
135gl_FUNC_LSTAT
8aeb5be9
PE
136if test $REPLACE_LSTAT = 1; then
137 AC_LIBOBJ([lstat])
138 gl_PREREQ_LSTAT
139fi
19548d08
PE
140gl_SYS_STAT_MODULE_INDICATOR([lstat])
141gl_FUNC_MKTIME
8aeb5be9
PE
142if test $REPLACE_MKTIME = 1; then
143 AC_LIBOBJ([mktime])
144 gl_PREREQ_MKTIME
145fi
19548d08
PE
146gl_TIME_MODULE_INDICATOR([mktime])
147gl_MULTIARCH
2a84b02d
PE
148gl_FUNC_PTHREAD_SIGMASK
149if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
150 AC_LIBOBJ([pthread_sigmask])
151fi
6db30f83 152gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
19548d08 153gl_FUNC_READLINK
8aeb5be9
PE
154if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
155 AC_LIBOBJ([readlink])
156 gl_PREREQ_READLINK
157fi
19548d08 158gl_UNISTD_MODULE_INDICATOR([readlink])
6db30f83 159gl_SIGNAL_H
19548d08
PE
160gl_TYPE_SOCKLEN_T
161gt_TYPE_SSIZE_T
c378da0b 162gl_STDARG_H
19548d08
PE
163AM_STDBOOL_H
164gl_STDDEF_H
165gl_STDINT_H
166gl_STDIO_H
167gl_STDLIB_H
168gl_FUNC_GNU_STRFTIME
f6ce9b9a
PE
169gl_FUNC_STRTOIMAX
170if test "$ac_cv_have_decl_strtoimax" != yes && test $ac_cv_func_strtoimax = no; then
171 AC_LIBOBJ([strtoimax])
172 gl_PREREQ_STRTOIMAX
173fi
174gl_INTTYPES_MODULE_INDICATOR([strtoimax])
19548d08 175gl_FUNC_STRTOUMAX
8aeb5be9
PE
176if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
177 AC_LIBOBJ([strtoumax])
178 gl_PREREQ_STRTOUMAX
179fi
19548d08
PE
180gl_INTTYPES_MODULE_INDICATOR([strtoumax])
181gl_FUNC_SYMLINK
8aeb5be9
PE
182if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
183 AC_LIBOBJ([symlink])
184fi
19548d08
PE
185gl_UNISTD_MODULE_INDICATOR([symlink])
186gl_HEADER_SYS_STAT_H
187AC_PROG_MKDIR_P
188gl_HEADER_TIME_H
189gl_TIME_R
8aeb5be9
PE
190if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
191 AC_LIBOBJ([time_r])
192 gl_PREREQ_TIME_R
193fi
19548d08 194gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 195AC_REQUIRE([AC_C_INLINE])
19548d08
PE
196gl_UNISTD_H
197 gl_gnulib_enabled_dosname=false
198 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
2a84b02d 199 gl_gnulib_enabled_sigprocmask=false
19548d08 200 gl_gnulib_enabled_stat=false
f6ce9b9a 201 gl_gnulib_enabled_strtoll=false
19548d08
PE
202 gl_gnulib_enabled_strtoull=false
203 gl_gnulib_enabled_verify=false
204 func_gl_gnulib_m4code_dosname ()
205 {
206 if ! $gl_gnulib_enabled_dosname; then
207 gl_gnulib_enabled_dosname=true
208 fi
209 }
210 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
211 {
212 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
213AC_SUBST([LIBINTL])
214AC_SUBST([LTLIBINTL])
215 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
216 fi
217 }
2a84b02d
PE
218 func_gl_gnulib_m4code_sigprocmask ()
219 {
220 if ! $gl_gnulib_enabled_sigprocmask; then
221gl_SIGNALBLOCKING
222if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
223 AC_LIBOBJ([sigprocmask])
224 gl_PREREQ_SIGPROCMASK
225fi
226gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
227 gl_gnulib_enabled_sigprocmask=true
228 fi
229 }
19548d08
PE
230 func_gl_gnulib_m4code_stat ()
231 {
232 if ! $gl_gnulib_enabled_stat; then
233gl_FUNC_STAT
8aeb5be9
PE
234if test $REPLACE_STAT = 1; then
235 AC_LIBOBJ([stat])
236 gl_PREREQ_STAT
237fi
19548d08
PE
238gl_SYS_STAT_MODULE_INDICATOR([stat])
239 gl_gnulib_enabled_stat=true
240 if $condition; then
241 func_gl_gnulib_m4code_dosname
242 fi
6dd7e400
PE
243 if $condition; then
244 func_gl_gnulib_m4code_verify
245 fi
19548d08
PE
246 fi
247 }
f6ce9b9a
PE
248 func_gl_gnulib_m4code_strtoll ()
249 {
250 if ! $gl_gnulib_enabled_strtoll; then
251gl_FUNC_STRTOLL
252if test $HAVE_STRTOLL = 0; then
253 AC_LIBOBJ([strtoll])
254 gl_PREREQ_STRTOLL
255fi
256gl_STDLIB_MODULE_INDICATOR([strtoll])
257 gl_gnulib_enabled_strtoll=true
258 fi
259 }
19548d08
PE
260 func_gl_gnulib_m4code_strtoull ()
261 {
262 if ! $gl_gnulib_enabled_strtoull; then
263gl_FUNC_STRTOULL
8aeb5be9
PE
264if test $HAVE_STRTOULL = 0; then
265 AC_LIBOBJ([strtoull])
266 gl_PREREQ_STRTOULL
267fi
19548d08
PE
268gl_STDLIB_MODULE_INDICATOR([strtoull])
269 gl_gnulib_enabled_strtoull=true
270 fi
271 }
272 func_gl_gnulib_m4code_verify ()
273 {
274 if ! $gl_gnulib_enabled_verify; then
275 gl_gnulib_enabled_verify=true
276 fi
277 }
8aeb5be9 278 if test $REPLACE_GETOPT = 1; then
19548d08
PE
279 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
280 fi
281 if test $REPLACE_LSTAT = 1; then
282 func_gl_gnulib_m4code_dosname
283 fi
284 if test $REPLACE_LSTAT = 1; then
285 func_gl_gnulib_m4code_stat
286 fi
2a84b02d 287 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
6db30f83
PE
288 func_gl_gnulib_m4code_sigprocmask
289 fi
19548d08
PE
290 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
291 func_gl_gnulib_m4code_stat
292 fi
f6ce9b9a
PE
293 if test "$ac_cv_have_decl_strtoimax" != yes && test $ac_cv_func_strtoimax = no; then
294 func_gl_gnulib_m4code_verify
295 fi
296 if test "$ac_cv_have_decl_strtoimax" != yes && test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
297 func_gl_gnulib_m4code_strtoll
298 fi
19548d08
PE
299 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
300 func_gl_gnulib_m4code_verify
301 fi
302 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
303 func_gl_gnulib_m4code_strtoull
304 fi
305 m4_pattern_allow([^gl_GNULIB_ENABLED_])
306 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
307 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
2a84b02d 308 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
19548d08 309 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
f6ce9b9a 310 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
19548d08
PE
311 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
312 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
313 # End of code from modules
314 m4_ifval(gl_LIBSOURCES_LIST, [
315 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
316 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
317 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
318 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
319 exit 1
320 fi
321 done])dnl
322 m4_if(m4_sysval, [0], [],
323 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
324 ])
325 m4_popdef([gl_LIBSOURCES_DIR])
326 m4_popdef([gl_LIBSOURCES_LIST])
327 m4_popdef([AC_LIBSOURCES])
328 m4_popdef([AC_REPLACE_FUNCS])
329 m4_popdef([AC_LIBOBJ])
330 AC_CONFIG_COMMANDS_PRE([
331 gl_libobjs=
332 gl_ltlibobjs=
333 if test -n "$gl_LIBOBJS"; then
334 # Remove the extension.
335 sed_drop_objext='s/\.o$//;s/\.obj$//'
336 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
337 gl_libobjs="$gl_libobjs $i.$ac_objext"
338 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
339 done
340 fi
341 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
342 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
343 ])
344 gltests_libdeps=
345 gltests_ltlibdeps=
346 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
347 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
348 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
349 m4_pushdef([gltests_LIBSOURCES_LIST], [])
350 m4_pushdef([gltests_LIBSOURCES_DIR], [])
351 gl_COMMON
352 gl_source_base='tests'
353changequote(,)dnl
354 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
355changequote([, ])dnl
356 AC_SUBST([gltests_WITNESS])
357 gl_module_indicator_condition=$gltests_WITNESS
358 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 359 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
360 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
361 m4_ifval(gltests_LIBSOURCES_LIST, [
362 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
363 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
364 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
365 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
366 exit 1
367 fi
368 done])dnl
369 m4_if(m4_sysval, [0], [],
370 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
371 ])
372 m4_popdef([gltests_LIBSOURCES_DIR])
373 m4_popdef([gltests_LIBSOURCES_LIST])
374 m4_popdef([AC_LIBSOURCES])
375 m4_popdef([AC_REPLACE_FUNCS])
376 m4_popdef([AC_LIBOBJ])
377 AC_CONFIG_COMMANDS_PRE([
378 gltests_libobjs=
379 gltests_ltlibobjs=
380 if test -n "$gltests_LIBOBJS"; then
381 # Remove the extension.
382 sed_drop_objext='s/\.o$//;s/\.obj$//'
383 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
384 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
385 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
386 done
387 fi
388 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
389 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
390 ])
391 LIBGNU_LIBDEPS="$gl_libdeps"
392 AC_SUBST([LIBGNU_LIBDEPS])
393 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
394 AC_SUBST([LIBGNU_LTLIBDEPS])
395])
396
397# Like AC_LIBOBJ, except that the module name goes
398# into gl_LIBOBJS instead of into LIBOBJS.
399AC_DEFUN([gl_LIBOBJ], [
400 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
401 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
402])
403
404# Like AC_REPLACE_FUNCS, except that the module name goes
405# into gl_LIBOBJS instead of into LIBOBJS.
406AC_DEFUN([gl_REPLACE_FUNCS], [
407 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
408 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
409])
410
411# Like AC_LIBSOURCES, except the directory where the source file is
412# expected is derived from the gnulib-tool parameterization,
413# and alloca is special cased (for the alloca-opt module).
414# We could also entirely rely on EXTRA_lib..._SOURCES.
415AC_DEFUN([gl_LIBSOURCES], [
416 m4_foreach([_gl_NAME], [$1], [
417 m4_if(_gl_NAME, [alloca.c], [], [
418 m4_define([gl_LIBSOURCES_DIR], [lib])
419 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
420 ])
421 ])
422])
423
424# Like AC_LIBOBJ, except that the module name goes
425# into gltests_LIBOBJS instead of into LIBOBJS.
426AC_DEFUN([gltests_LIBOBJ], [
427 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
428 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
429])
430
431# Like AC_REPLACE_FUNCS, except that the module name goes
432# into gltests_LIBOBJS instead of into LIBOBJS.
433AC_DEFUN([gltests_REPLACE_FUNCS], [
434 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
435 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
436])
437
438# Like AC_LIBSOURCES, except the directory where the source file is
439# expected is derived from the gnulib-tool parameterization,
440# and alloca is special cased (for the alloca-opt module).
441# We could also entirely rely on EXTRA_lib..._SOURCES.
442AC_DEFUN([gltests_LIBSOURCES], [
443 m4_foreach([_gl_NAME], [$1], [
444 m4_if(_gl_NAME, [alloca.c], [], [
445 m4_define([gltests_LIBSOURCES_DIR], [tests])
446 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
447 ])
448 ])
449])
450
451# This macro records the list of files which have been installed by
452# gnulib-tool and may be removed by future gnulib-tool invocations.
453AC_DEFUN([gl_FILE_LIST], [
1fd182f0
PE
454 build-aux/arg-nonnull.h
455 build-aux/c++defs.h
456 build-aux/warn-on-use.h
fa23e171 457 lib/alloca.in.h
7ec98caf 458 lib/allocator.c
d1fdcab7
PE
459 lib/allocator.h
460 lib/careadlinkat.c
461 lib/careadlinkat.h
36f13e16 462 lib/dosname.h
a451f14b 463 lib/dtoastr.c
7a7ef429 464 lib/dup2.c
5fa4ac76
PE
465 lib/filemode.c
466 lib/filemode.h
a451f14b
PE
467 lib/ftoastr.c
468 lib/ftoastr.h
79ab4b7f 469 lib/getloadavg.c
e275c824
PE
470 lib/getopt.c
471 lib/getopt.in.h
472 lib/getopt1.c
473 lib/getopt_int.h
474 lib/gettext.h
67342916 475 lib/ignore-value.h
a451f14b 476 lib/intprops.h
a8a2bb29 477 lib/inttypes.in.h
ae0d7250 478 lib/lstat.c
942f733f
PE
479 lib/md5.c
480 lib/md5.h
1fd182f0
PE
481 lib/mktime-internal.h
482 lib/mktime.c
2a84b02d 483 lib/pthread_sigmask.c
ae0d7250 484 lib/readlink.c
13c3daa4
LL
485 lib/sha1.c
486 lib/sha1.h
3ce9d0d4
LL
487 lib/sha256.c
488 lib/sha256.h
489 lib/sha512.c
490 lib/sha512.h
6db30f83 491 lib/signal.in.h
2a84b02d 492 lib/sigprocmask.c
ae0d7250 493 lib/stat.c
c378da0b 494 lib/stdarg.in.h
16c3e636 495 lib/stdbool.in.h
1fd182f0 496 lib/stddef.in.h
5f90be1b 497 lib/stdint.in.h
77185bdf 498 lib/stdio.in.h
79ab4b7f 499 lib/stdlib.in.h
16c3e636
PE
500 lib/strftime.c
501 lib/strftime.h
a8a2bb29
PE
502 lib/strtoimax.c
503 lib/strtol.c
f6ce9b9a 504 lib/strtoll.c
a8a2bb29
PE
505 lib/strtoul.c
506 lib/strtoull.c
507 lib/strtoumax.c
ae0d7250 508 lib/symlink.c
5fa4ac76 509 lib/sys_stat.in.h
1fd182f0
PE
510 lib/time.in.h
511 lib/time_r.c
3ce9d0d4 512 lib/u64.h
e275c824 513 lib/unistd.in.h
a8a2bb29 514 lib/verify.h
743c80a7 515 m4/00gnulib.m4
fa23e171 516 m4/alloca.m4
a451f14b 517 m4/c-strtod.m4
7a7ef429 518 m4/dup2.m4
1fd182f0 519 m4/extensions.m4
5fa4ac76 520 m4/filemode.m4
79ab4b7f 521 m4/getloadavg.m4
e275c824 522 m4/getopt.m4
743c80a7 523 m4/gnulib-common.m4
1fd182f0 524 m4/include_next.m4
a8a2bb29 525 m4/inttypes.m4
5f90be1b 526 m4/longlong.m4
ae0d7250 527 m4/lstat.m4
942f733f 528 m4/md5.m4
1fd182f0
PE
529 m4/mktime.m4
530 m4/multiarch.m4
6db30f83 531 m4/pthread_sigmask.m4
ae0d7250 532 m4/readlink.m4
13c3daa4 533 m4/sha1.m4
3ce9d0d4
LL
534 m4/sha256.m4
535 m4/sha512.m4
6db30f83 536 m4/signal_h.m4
2a84b02d 537 m4/signalblocking.m4
401bf9b4 538 m4/socklen.m4
d1fdcab7 539 m4/ssize_t.m4
5fa4ac76 540 m4/st_dm_mode.m4
ae0d7250 541 m4/stat.m4
c378da0b 542 m4/stdarg.m4
16c3e636 543 m4/stdbool.m4
1fd182f0 544 m4/stddef_h.m4
5f90be1b 545 m4/stdint.m4
77185bdf 546 m4/stdio_h.m4
79ab4b7f 547 m4/stdlib_h.m4
16c3e636 548 m4/strftime.m4
f6ce9b9a
PE
549 m4/strtoimax.m4
550 m4/strtoll.m4
a8a2bb29
PE
551 m4/strtoull.m4
552 m4/strtoumax.m4
ae0d7250 553 m4/symlink.m4
5fa4ac76 554 m4/sys_stat_h.m4
1fd182f0
PE
555 m4/time_h.m4
556 m4/time_r.m4
16c3e636 557 m4/tm_gmtoff.m4
e275c824 558 m4/unistd_h.m4
1fd182f0
PE
559 m4/warn-on-use.m4
560 m4/wchar_t.m4
743c80a7 561])